Debian Bug report logs - #549412
freebsd-utils: fails to mount nfs: mount_nfs not found

version graph

Package: freebsd-utils; Maintainer for freebsd-utils is GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>; Source for freebsd-utils is src:freebsd-utils.

Reported by: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>

Date: Sat, 3 Oct 2009 07:51:08 UTC

Severity: wishlist

Tags: patch

Merged with 629543

Found in versions freebsd-utils/7.2-8, freebsd-utils/8.0-10, freebsd-utils/8.2-1

Fixed in version freebsd-utils/8.2+ds2-2

Done: Robert Millan <rmh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Sat, 03 Oct 2009 07:51:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vagrant Cascadian <vagrant+debianbugs@freegeek.org>:
New Bug report received and forwarded. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sat, 03 Oct 2009 07:51:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vagrant Cascadian <vagrant+debianbugs@freegeek.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Sat, 3 Oct 2009 00:44:40 -0700
Package: freebsd-utils
Version: 7.2-8
Severity: normal

when trying to mount nfs filesystems, it appears to be missing the mount_nfs
command:

  mount 127.0.0.1:/opt/ltsp /mnt
  mount: exec mount_nfs not found: No such file or directory


there appear to be commented out entries in debian/rules, but uncommenting them
and attempting to build myself resulted in:

mount_nfs.c:229: warning: no previous prototype for ‘usage’
mount_nfs.c: In function ‘usage’:
mount_nfs.c:229: error: expected declaration specifiers before ‘__dead2’
mount_nfs.c:246: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘{’ token
...snip...
mount_nfs.c:1172: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘{’ token
mount_nfs.c:1179: error: old-style parameter declarations in prototyped function definition
mount_nfs.c:1179: error: expected ‘{’ at end of input
*** Error code 1                 
                                 
Stop in /home/bsd/freebsd-utils-7.2/sbin/mount_nfs.
make: *** [freebsd-utils-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
debuild: fatal error at line 1324:
dpkg-buildpackage -rfakeroot -D -us -uc failed


thanks for working on Debian GNU/kFreeBSD!

live well,
  vagrant




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Sun, 11 Apr 2010 11:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Apr 2010 11:09:03 GMT) Full text and rfc822 format available.

Message #10 received at 549412@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: 549412@bugs.debian.org, control@bugs.debian.org
Subject: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Sun, 11 Apr 2010 14:04:19 +0300
found 549412 8.0-10
thanks


> when trying to mount nfs filesystems, it appears to be missing the
> mount_nfs
> command:
> 
>   mount 127.0.0.1:/opt/ltsp /mnt
>   mount: exec mount_nfs not found: No such file or directory
> 

Any progress? This also happens in vanilla install of:

    http://d-i.debian.org/daily-images/kfreebsd-i386/20100221-11:20/monolithic/

Jari




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Sun, 11 Apr 2010 11:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Apr 2010 11:09:05 GMT) Full text and rfc822 format available.

Message #15 received at 549412@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: control@bugs.debian.org, 549412@bugs.debian.org
Subject: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Sun, 11 Apr 2010 14:07:44 +0300
severity 549412 serious
thanks

Makes the installation unusable in a typical network. E.g. can't mount
the /home disk from a remote server.




Bug Marked as found in versions freebsd-utils/8.0-10. Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Sun, 11 Apr 2010 11:09:07 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Jari Aalto <jari.aalto@cante.net> to control@bugs.debian.org. (Sun, 11 Apr 2010 11:09:09 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Petr Salinger <Petr.Salinger@seznam.cz> to control@bugs.debian.org. (Sun, 11 Apr 2010 14:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Sun, 11 Apr 2010 16:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jari Aalto <jari.aalto@cante.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Sun, 11 Apr 2010 16:18:09 GMT) Full text and rfc822 format available.

Message #26 received at 549412@bugs.debian.org (full text, mbox):

From: Jari Aalto <jari.aalto@cante.net>
To: Petr Salinger <Petr.Salinger@seznam.cz>
Cc: 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Sun, 11 Apr 2010 19:16:10 +0300
>> Makes the installation unusable in a typical network. E.g. can't mount
>> the /home disk from a remote server.

> Petr Salinger <Petr.Salinger@seznam.cz> writes:
> severity 549412 important
> thanks
>
> At most important, but may be even just wishlist:

A missing NFS support is unsuitable for release.

> serious
>     is a severe violation of Debian policy (roughly, it violates a must or
>     required directive), or, in the package maintainer's or release
>     manager's opinion, makes the package unsuitable for release.

As described above

> The mount_nfs command is still provided only by freebsd-hackedutils:
>
> http://ftp.debian-ports.org/debian/pool-kfreebsd-i386/main/f/freebsd-hackedutils/freebsd-hackedutils_6.1-4_kfreebsd-i386.deb
> http://ftp.debian-ports.org/debian/pool-kfreebsd-amd64/main/f/freebsd-hackedutils/freebsd-hackedutils_6.1-4_kfreebsd-amd64.deb

freebsd-hackedutils is not available from repositories testing or
unstable.

Jari




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Mon, 12 Apr 2010 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Mon, 12 Apr 2010 00:15:03 GMT) Full text and rfc822 format available.

Message #31 received at 549412@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jari Aalto <jari.aalto@cante.net>, 549412@bugs.debian.org
Cc: Petr Salinger <Petr.Salinger@seznam.cz>
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Mon, 12 Apr 2010 02:13:42 +0200
[Message part 1 (text/plain, inline)]
Jari Aalto <jari.aalto@cante.net> (11/04/2010):
> > Petr Salinger <Petr.Salinger@seznam.cz> writes:
> > severity 549412 important

Yes.

> A missing NFS support is unsuitable for release.

No.

> > serious
> >     is a severe violation of Debian policy (roughly, it violates a must or
> >     required directive), or, in the package maintainer's or release
> >     manager's opinion, makes the package unsuitable for release.
> 
> As described above

I assume you did notice “package maintainer's or release manager's
opinion” here. Which of them are you? No need for severity ping pong.

> > The mount_nfs command is still provided only by freebsd-hackedutils:
> >
> > http://ftp.debian-ports.org/debian/pool-kfreebsd-i386/main/f/freebsd-hackedutils/freebsd-hackedutils_6.1-4_kfreebsd-i386.deb
> > http://ftp.debian-ports.org/debian/pool-kfreebsd-amd64/main/f/freebsd-hackedutils/freebsd-hackedutils_6.1-4_kfreebsd-amd64.deb
> 
> freebsd-hackedutils is not available from repositories testing or
> unstable.

That's what Petr wrote.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 06 Jul 2010 15:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 06 Jul 2010 15:45:03 GMT) Full text and rfc822 format available.

Message #36 received at 549412@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 6 Jul 2010 17:36:04 +0200
http://www.debian.org/News/2009/20091007

``
Debian pushes development of kFreeBSD port
October 7th, 2009
The Debian Release Team is pleased to announce that it sees the port of the 
Debian system to the FreeBSD kernel fit to be handled equal with the other 
release ports. The upcoming release codenamed 'Squeeze' is planned to be the 
first Debian distribution to be released with Linux and FreeBSD kernels.

The kFreeBSD architectures for the AMD64/Intel EM64T and i386 processor 
architectures are now release architectures. Severe bugs on these 
architectures will be considered release critical the same way as bugs on 
other architectures like armel or i386 are. If a particular package does not 
build or work properly on such an architecture this problem is considered 
release-critical.
''

A missing mount_nfs makes kFreeBSD pretty incomplete for use.
The answers in this bug report makes the news announcement
pretty misleading. Furthermore, the handling the problem in such a way

> At most important, but may be even just wishlist:

> I assume you did notice “package maintainer's or release manager's
> opinion” here. Which of them are you? No need for severity ping pong.

is pretty unfair for the good intention of users who are willing
to follow Debian in this direction. A reasonable interpretation
of the text of the news announcement would even make this issue
"release-critical".

See also:

http://lists.debian.org/debian-bsd/2010/01/msg00099.html

> Re: NFS on Debian GNU/kFreeBSD?
> To: The Anarcat <anarcat@koumbit.org>
> Cc: debian-bsd@lists.debian.org
> Subject: Re: NFS on Debian GNU/kFreeBSD?
> From: Aurelien Jarno <aurelien@aurel32.net>
> Date: Thu, 21 Jan 2010 10:16:04 +0100
> Message-id: <20100121091604.GC16459@hall.aurel32.net>
> In-reply-to: <20100121015022.GF27444@anarcat.ath.cx>
> References: <20100121015022.GF27444@anarcat.ath.cx>
> On Wed, Jan 20, 2010 at 08:50:22PM -0500, The Anarcat wrote:
> > Hi!
> > 
> > I wonder if there are any plans to support NFS in Debian GNU/kFreeBSD.
> > At any rate, how would it be supported? nfs-utils is probably not the
> > right way, so I guess we'd need to port something from FreeBSD directly?
> > 
> 
> mount_nfs is available in freebsd-utils, so you can easily do NFS mounts
> using using mount -t nfs.
> 
> 
> -- 
> Aurelien Jarno                          GPG: 1024D/F1BCDB73
> aurelien@aurel32.net                 http://www.aurel32.net

Wishlist, fantasy, or serious?

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 06 Jul 2010 16:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 06 Jul 2010 16:51:02 GMT) Full text and rfc822 format available.

Message #41 received at 549412@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Alan BRASLAU <alan.braslau@cea.fr>, 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 06 Jul 2010 18:49:52 +0200
Alan BRASLAU a écrit :
> http://www.debian.org/News/2009/20091007
> 
> ``
> Debian pushes development of kFreeBSD port
> October 7th, 2009
> The Debian Release Team is pleased to announce that it sees the port of the 
> Debian system to the FreeBSD kernel fit to be handled equal with the other 
> release ports. The upcoming release codenamed 'Squeeze' is planned to be the 
> first Debian distribution to be released with Linux and FreeBSD kernels.
> 
> The kFreeBSD architectures for the AMD64/Intel EM64T and i386 processor 
> architectures are now release architectures. Severe bugs on these 
> architectures will be considered release critical the same way as bugs on 
> other architectures like armel or i386 are. If a particular package does not 
> build or work properly on such an architecture this problem is considered 
> release-critical.
> ''
> 
> A missing mount_nfs makes kFreeBSD pretty incomplete for use.
> The answers in this bug report makes the news announcement
> pretty misleading. Furthermore, the handling the problem in such a way
> 
>> At most important, but may be even just wishlist:
> 
>> I assume you did notice “package maintainer's or release manager's
>> opinion” here. Which of them are you? No need for severity ping pong.
> 
> is pretty unfair for the good intention of users who are willing
> to follow Debian in this direction. A reasonable interpretation
> of the text of the news announcement would even make this issue
> "release-critical".
> 

If some users consider the use of NFS very important, they can probably
help to solve this issue.

-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 06 Jul 2010 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 06 Jul 2010 20:51:03 GMT) Full text and rfc822 format available.

Message #46 received at 549412@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: Aurelien Jarno <aurelien@aurel32.net>
Cc: 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 6 Jul 2010 22:06:55 +0200
On Tuesday 06 July 2010 18:49:52 Aurelien Jarno wrote:
> 
> If some users consider the use of NFS very important, they can probably
> help to solve this issue.

They are, by very patiently (and politely) filing bug reports.
Also by spending time testing.

Not all are programmers, neither having the skills nor the time
to look into details.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Wed, 07 Jul 2010 13:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Aurelien Jarno <aurelien@aurel32.net>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Wed, 07 Jul 2010 13:27:03 GMT) Full text and rfc822 format available.

Message #51 received at 549412@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurelien@aurel32.net>
To: Alan BRASLAU <alan.braslau@cea.fr>, 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Wed, 07 Jul 2010 15:22:25 +0200
Alan BRASLAU a écrit :
> On Tuesday 06 July 2010 18:49:52 Aurelien Jarno wrote:
>> If some users consider the use of NFS very important, they can probably
>> help to solve this issue.
> 
> They are, by very patiently (and politely) filing bug reports.
> Also by spending time testing.
> 
> Not all are programmers, neither having the skills nor the time
> to look into details.
> 

Exactly, that's why users should wait for a programmer to have the time
instead of complaining.


-- 
Aurelien Jarno                          GPG: 1024D/F1BCDB73
aurelien@aurel32.net                 http://www.aurel32.net




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 28 Sep 2010 08:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Sep 2010 08:42:03 GMT) Full text and rfc822 format available.

Message #56 received at 549412@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 28 Sep 2010 10:14:06 +0200
I find your use of the word "complaining" disrespectful.
A bug report serves to give feedback, and being polite
should be answered politely.

The point is that one cannot have things both ways.
Either kfreebsd is indeed to become core as the announcements
advertise (and I imagine the developers wish, otherwise
why would they be working on this?), or not.

NFS is a core functionality in many ways.
It is therefore legitimate that this bug be reported.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 28 Sep 2010 08:57:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Sep 2010 08:57:13 GMT) Full text and rfc822 format available.

Message #61 received at 549412@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Alan BRASLAU <alan.braslau@cea.fr>, 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 28 Sep 2010 10:54:26 +0200
[Message part 1 (text/plain, inline)]
Alan BRASLAU <alan.braslau@cea.fr> (28/09/2010):
> I find your use of the word "complaining" disrespectful.  A bug
> report serves to give feedback, and being polite should be answered
> politely.

Insisting on a particular severity regardless of the maintainer's
opinion is disrespectful. (Oh wait, the maintainers are even porters,
so maybe they can figure out which severity is appropriate?)

> NFS is a core functionality in many ways. It is therefore legitimate
> that this bug be reported.

That doesn't mean people can annoy maintainers until the feature is
implemented.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 28 Sep 2010 09:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan BRASLAU <alan.braslau@cea.fr>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Sep 2010 09:21:06 GMT) Full text and rfc822 format available.

Message #66 received at 549412@bugs.debian.org (full text, mbox):

From: Alan BRASLAU <alan.braslau@cea.fr>
To: Cyril Brulebois <kibi@debian.org>
Cc: 549412@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 28 Sep 2010 11:18:24 +0200
On Tuesday 28 September 2010 10:54:26 Cyril Brulebois wrote:
> Alan BRASLAU <alan.braslau@cea.fr> (28/09/2010):
> > I find your use of the word "complaining" disrespectful.  A bug
> > report serves to give feedback, and being polite should be answered
> > politely.
> 
> Insisting on a particular severity regardless of the maintainer's
> opinion is disrespectful. (Oh wait, the maintainers are even porters,
> so maybe they can figure out which severity is appropriate?)
> 
> > NFS is a core functionality in many ways. It is therefore legitimate
> > that this bug be reported.
> 
> That doesn't mean people can annoy maintainers until the feature is
> implemented.
> 

So sensitive!

All one asks for is politeness. The use of "complaining", "annoying",
etc. shows no respect for the community. Do developers really
want to be isolated, or are they indeed interested in getting
feedback from users/testers?

A bug report reflects needs. Maintainers can politely give information
on meeting these needs (or on the inappropriateness/marginality of
these particular needs).

The problem with the current issue is that the maintainers/promoters
of kfreebsd ask about fitness for release and would somehow like
for this kernel to be adopted by part of the community.
Functionality so basic (and so long-standing) as NFS should be included.

I suppose that the porting is not so trivial, otherwise it would
already be included. But much contradictory information
on this question can be found on the web, including messages
from maintainers claiming that it is there!
The purpose of the bug report is to clarify the situation,
not to provoke over-sensitive reactions on the part of developers.
Tit-for-tat responses are indeed unproductive and demotivating.
Such reactions show annoyance, and annoyance reveals unease.

Alan




Information forwarded to debian-bugs-dist@lists.debian.org, GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>:
Bug#549412; Package freebsd-utils. (Tue, 28 Sep 2010 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <rmh@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>. (Tue, 28 Sep 2010 10:57:03 GMT) Full text and rfc822 format available.

Message #71 received at 549412@bugs.debian.org (full text, mbox):

From: Robert Millan <rmh@debian.org>
To: Alan BRASLAU <alan.braslau@cea.fr>, 549412@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Tue, 28 Sep 2010 12:56:27 +0200
Please can you guys take this off-list. Thanks.

2010/9/28, Alan BRASLAU <alan.braslau@cea.fr>:
> On Tuesday 28 September 2010 10:54:26 Cyril Brulebois wrote:
>> Alan BRASLAU <alan.braslau@cea.fr> (28/09/2010):
>> > I find your use of the word "complaining" disrespectful.  A bug
>> > report serves to give feedback, and being polite should be answered
>> > politely.
>>
>> Insisting on a particular severity regardless of the maintainer's
>> opinion is disrespectful. (Oh wait, the maintainers are even porters,
>> so maybe they can figure out which severity is appropriate?)
>>
>> > NFS is a core functionality in many ways. It is therefore legitimate
>> > that this bug be reported.
>>
>> That doesn't mean people can annoy maintainers until the feature is
>> implemented.
>>
>
> So sensitive!
>
> All one asks for is politeness. The use of "complaining", "annoying",
> etc. shows no respect for the community. Do developers really
> want to be isolated, or are they indeed interested in getting
> feedback from users/testers?
>
> A bug report reflects needs. Maintainers can politely give information
> on meeting these needs (or on the inappropriateness/marginality of
> these particular needs).
>
> The problem with the current issue is that the maintainers/promoters
> of kfreebsd ask about fitness for release and would somehow like
> for this kernel to be adopted by part of the community.
> Functionality so basic (and so long-standing) as NFS should be included.
>
> I suppose that the porting is not so trivial, otherwise it would
> already be included. But much contradictory information
> on this question can be found on the web, including messages
> from maintainers claiming that it is there!
> The purpose of the bug report is to clarify the situation,
> not to provoke over-sensitive reactions on the part of developers.
> Tit-for-tat responses are indeed unproductive and demotivating.
> Such reactions show annoyance, and annoyance reveals unease.
>
> Alan
>
>
>
> --
> To UNSUBSCRIBE, email to debian-bsd-REQUEST@lists.debian.org
> with a subject of "unsubscribe". Trouble? Contact
> listmaster@lists.debian.org
> Archive: http://lists.debian.org/201009281118.24368.alan.braslau@cea.fr
>
>


-- 
Robert Millan




Information stored :
Bug#549412; Package freebsd-utils. (Wed, 29 Sep 2010 07:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petr Salinger <Petr.Salinger@seznam.cz>:
Extra info received and filed, but not forwarded. (Wed, 29 Sep 2010 07:21:06 GMT) Full text and rfc822 format available.

Message #76 received at 549412-quiet@bugs.debian.org (full text, mbox):

From: Petr Salinger <Petr.Salinger@seznam.cz>
To: Alan BRASLAU <alan.braslau@cea.fr>, 549412-quiet@bugs.debian.org
Subject: Re: Bug#549412: freebsd-utils: fails to mount nfs: mount_nfs not found
Date: Wed, 29 Sep 2010 09:19:07 +0200 (CEST)
>>> NFS is a core functionality in many ways. It is therefore legitimate
>>> that this bug be reported.

Absolutely. The bug is open (not closed as invalid) in BTS,
it is not marked as wontfix.

> The problem with the current issue is that the maintainers/promoters
> of kfreebsd ask about fitness for release and would somehow like
> for this kernel to be adopted by part of the community.
> Functionality so basic (and so long-standing) as NFS should be included.

The NFS is core from your point of view, but not necessarily from porters
point of view. Porters might have (and they have) different priorities,
i.e. they consider ZFS more important. Our man power is simply limited.

> I suppose that the porting is not so trivial, otherwise it would
> already be included.

Yes, it is not trivial.

> But much contradictory information
> on this question can be found on the web, including messages
> from maintainers claiming that it is there!

The mount_nfs command have been so far provided only by 
freebsd-hackedutils. Name of this packages should be self explanatory.

Petr






Forcibly Merged 549412 629543. Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Tue, 07 Jun 2011 19:12:06 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 549412: 629556 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 17 Jun 2011 21:24:57 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 549412: 630843 Request was from Robert Millan <rmh@debian.org> to control@bugs.debian.org. (Fri, 17 Jun 2011 21:51:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 11 Jul 2011 20:06:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 19 Aug 2011 07:33:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 05:50:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.